<header class="border-b border-jlg-light-white py-4 h-1/12 shadow-xlg fixed top-0 w-full bg-jlg-dark-blue flex flex-row justify-between items-center z-10">
  <div class="text-sm">
      <button class="bg-jlg-xlight-white hover:bg-jlg-hxlight-white active:bg-jlg-axlight-white px-4 py-2 rounded-full border-jlg-hxlight-white border ml-6 transition-colors">
        <?php
          $current_user = wp_get_current_user();
          $author_id = $current_user->ID;
          $revisionary_page = admin_url('admin.php?page=revisionary-q&author=' . $author_id);

          $link = sprintf(
              '<a href="%s">MES CONTRIBUTIONS</a>',
              esc_url($revisionary_page)
          );

          echo do_shortcode('[xoo_el_action type="login" change_to="' . $revisionary_page . '" change_to_text="MES CONTRIBUTIONS" text="CONTRIBUER" redirect_to="' . $revisionary_page . '"]');
        ?>
      </button>
      <button class="bg-jlg-xlight-white hover:bg-jlg-hxlight-white active:bg-jlg-axlight-white px-4 py-2 rounded-full border-jlg-hxlight-white border ml-6 transition-colors"><a href="<?php echo esc_url(home_url('/?format=csv')); ?>">EXPORT</a></button>
  </div>

  <a class="brand text-center text-2xl leading-none" href="{{ home_url('/') }}">
    <!-- {!! $siteName !!} -->
    <span class="font-caslon uppercase">Partition<br></span>
    <span class="font-caslon italic">Le Livre d'Image</span>
  </a>

  <div class="mr-6 w-52">
    <input type="search" class="px-4 py-2 rounded bg-jlg-xlight-white text-sm" placeholder="RECHERCHER">
  </div>

  <div class="z-30 right-6 absolute w-52 max-h-52 border-jlg-light-white border rounded" id="search_results">
    <div class="flex flex-row p-3 justify-around items-center h-full text-sm">
      <p><span id="result_amount">0</span> occurences</p>
      <p class="hidden">Aucune occurence</p>
      <div class="flex flex-row">
          <img src="<?= get_template_directory_uri(); ?>/resources/assets/icons/arrow_drop_down.svg" alt="arrow down" class="cursor-pointer">
          <img src="<?= get_template_directory_uri(); ?>/resources/assets/icons/arrow_drop_up.svg" alt="arrow up" class="cursor-pointer">
      </div>
    </div>
    <div class="text-sm w-full">
    </div>
  </div>

  
  @if (has_nav_menu('primary_navigation'))
  <nav class="nav-primary" aria-label="{{ wp_get_nav_menu_name('primary_navigation') }}">
    {!! wp_nav_menu(['theme_location' => 'primary_navigation', 'menu_class' => 'nav', 'echo' => false]) !!}
    </nav>
  @endif
</header>

<script>
  setTimeout(() => {
    const privacyLink = document.querySelector('.xoo-aff-checkbox_single a');
    privacyLink.addEventListener('click', function (e) {
      e.preventDefault();
    });
  }, 1000);
</script>
